Create an action-based impact donation

Create a donation based on registered and active actions with our Action-Based Impact API.

Sample request:

POST /
{
    "referenceId": "#001",
    "actionType": "Run 10 miles",
    "donationAmount": 10.0,
    "customerId": "001",
    "causeIds": "464664562,474143254",
    "donorType": "merchant",
    "customTags": "custom_tag",
    "customerEmail" : "[email protected]"
}
Recipes
🌳
Plant Trees with Actions-Based Impact
Open Recipe
Body Params

CreateNewAbiDonationRequest

string
required
length ≥ 1

The "referenceID" is the a provided ID for each individual action generated in your system that is create a donation and is the identifiable reference our system and yours.

string
required
length ≥ 1

The "actionType" is the name of the registered Action or the ID (Guide) of the registered action.

double
required

The "donationAmount" is the Donation value in decimal formate (10.00). The donation value being provided will generate a donation based on your merchant currency set in our Impact Portal.

string | null

The "customerID" is the ID of your customer who is taking the action that is generating the donation.

string | null

The "customerEmail" is the email address of your customer who is taking the action that generates the donation(s).

string
required
length ≥ 1

The causeIds is the ID(s) of the causes or nonprofits who are the receipient of the donation generated from the action. The causeIds are a comma delimited string of NPO EINs without dashes or spaces. Up to 6 distinct EINs are supported. Computed donation is spread evenly across the specified NPOs;
Or to one Cause Porfolio, in which the Cause Porfolio ID provided by your ShoppingGives representative should be used. Computed donations are spread evenly across the NPOs included within a given Cause Porfolio.
Example: “363673599,530196605” would distribute funds evenly across 36-3673599 (Feeding America) and 53-0196605 (American Red Cross).

string
required
length ≥ 1

The "Donor Type" represents who is funding the donation(s) from the action and can either be the ""Merchant"" (you) or the ""customer"" your end user. Merchant donations will be considered Tax Deductible for the Merchant.
The values can be provided as:
Merchant: 'Merchant' or '0'
Consumer: 'Consumer' or '1'

string | null

The "customTags" are free form data you would live to associate with the Action-Based Impact Donation. The 'customTags' are avalible to reference in an export of your donations report in the Impact Portal.

Headers
string
required

Your merchant ID.

Responses
200

Success

400

A maximum of six (6) cause EINs OR one (1) portfolio ID is supported.

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here!